Subject: Re: [Gen-art] Gen-ART review of draft-ietf-sieve-mime-loop-08.txt

From: Alexey Melnikov <[email-masked]>
Date: Sun, 19 Jul 2009 01:28:22 +0100

Miguel A. Garcia wrote:

> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
> Please resolve these comments along with any other Last Call comments
> you may receive.

Hi Miguel,
(In my capacity of the document shepherd): I've just checked version -09 
against your comments

> Document: draft-ietf-sieve-mime-loop-08.txt
> Reviewer: Miguel Garcia <[email-masked]>
> Review Date: 2008-12-15
> IETF LC End Date: 2008-12-19
>
> Summary: The draft is ready for publication as a standards track RFC.
>
> Comments: To the extend of my knowledge, the draft is technically 
> solid. I have a number of minor nits that can improve the document. 
> Feel free to take them on board as you wish.
>
> - Section 14. RFC 2822 has been updated by RFC 5322
> - Section 14. draft-ietf-sieve-body is now RFC 5173. I also believe 
> that this should be promoted to a normative reference, given that the 
> document imports some of the security considerations in RFC 5173.
> - Section 4.1, 6th paragraph, add a formal reference to RFC 5322 (now, 
> there is only a string "RFC 2822", but not a formal reference to it or 
> its successor).
> - Section 7, second paragraph, add a normative reference to UTF-8 
> [RFC3629].

All these changes were done.

> - Section 11, 3rd paragraph, add informative references to DKIM, 
> S/MIME and PGP. I believe this last one should be to PGP rather than 
> OpenPGP.

These changes were done, but the reference to OpenPGP was used.

> - Section 12, 1st paragraph. Please mention the registry where IANA 
> has to operate. I don't think it is enough to mention "Permanent 
> Message Header Fields table".
> - Section 12, second paragraph. The policy indicates that references 
> to registries should be done by name, not by URL. Modify the URL by 
> the name of the registry.

Name of the registry was added here.

I think the last 2 are not a big deal and will be fixed by the RFC Editor.

Regards,
Alexey